Bug 378251 - Rhgb in F8 and NVidia binary drivers don't work together
Rhgb in F8 and NVidia binary drivers don't work together
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 11:51 EST by George Billios
Modified: 2008-11-26 13:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 13:54:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Billios 2007-11-12 11:51:35 EST
Description of problem:
When using NVidia binary drivers, rhgb doesn't start

Version-Release number of selected component (if applicable):
rhgb 0.17.7-3.fc8
nvidia drivers 100.14.19

How reproducible:
Always

Steps to Reproduce:
1.Install NVidia binary drivers
2.Reboot
3.
  
Actual results:
rhgb tries to start but fails to text mode

Expected results:
Display the graphical boot screen

Additional info:
Works fine with fc7's rpm of rhgb (0.17.6-1.fc7) so it must be something that
was 'pathed' in between. I have this problem since just before f8t3 but I don't
remember the exact rhgb version. 

If I can debug it in some way please inform me. Thanks
Comment 1 Didier G 2007-11-20 02:32:18 EST
Same problem with following modules

xorg-x11-drv-nvidia-100.14.19-4.lvn8
kmod-nvidia-100.14.19-18.lvn8
kmod-nvidia-2.6.23.1-49.fc8-100.14.19-18.lvn8
rhgb-0.17.7-3.fc8

It works fine if I replace rhgb-0.17.7-3.fc8 by rhgb-0.17.6-1.fc7.
Comment 2 Eli Wapniarski 2007-11-23 05:00:39 EST
Confirmed.
Comment 3 Eli Wapniarski 2007-11-24 03:15:50 EST
I commented out the line

#FontPath        "unix/:7100"

and rhgb worked again.
Comment 4 Haydn 2007-11-27 05:21:05 EST
Confirmed also - but I don't believe it's isolated to the nvidia driver. I use
the "intel" driver and rhgb broke after a F7 -> f8 yum upgrade (yes I know it's
not officially supported). The same fix from Eli corrects the problem.
Comment 5 Ray Strode [halfline] 2007-11-29 10:32:49 EST
So at some point we stopped adding a font path argument to the X server command
line (I don't remember why, ajax, do you remember?).  That's probably the cause
of the bustage.
Comment 6 Kevin R. Page 2007-12-23 22:45:18 EST
Confirmed again on a PC upgraded from F7 to F8 - and therefore with the older
xorg.conf preserved including font path. While X started fine, rhgb failed until
I rebuilt xorg.conf. I'm using a Radeon 9550, but it sounds like it's driver
independent.
Comment 7 Adam Jackson 2008-02-11 17:54:29 EST
(In reply to comment #5)
> So at some point we stopped adding a font path argument to the X server command
> line (I don't remember why, ajax, do you remember?).  That's probably the cause
> of the bustage.

Because it shouldn't be necessary.  But if you do specify a fontpath in
xorg.conf, then we'll use it and only it, and xfs won't be running, and nngh.
Comment 8 Bill Nottingham 2008-04-08 00:12:30 EDT
Are people still seeing this with F9 beta?
Comment 9 George Billios 2008-04-08 01:15:48 EDT
In F9 beta NVidia binary drivers don't compile due to the alpha version of Xorg
included. When F9 is released and Xorg is released and NVidia releases drivers
for that Xorg version I can test it again and write the findings.

Just note that while I was still using F8 - a month ago - the problem remained.
Also now with F9 because I have installed the xorg from F8 just to make NVidia
drivers compile the problem remains but since this is a 'mixed' installation I
would prefer to wait and see what happens with the new Xorg when F9 is released. 
Comment 10 MICHEL Serge 2008-10-07 14:42:43 EDT
It works fine if I replace rhgb-1:9.0.0-6.fc9 by rhgb-1:0.17.7-3.fc8.
Comment 11 Bill Nottingham 2008-11-05 16:52:15 EST
Removing X target blocking, as this appears to be rhgb-specific.

Note that this is 'fixed' in rawhide as rhgb isn't shipped any more.
Comment 12 Bug Zapper 2008-11-26 03:21:58 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bill Nottingham 2008-11-26 13:54:38 EST
Closing as 'CURRENTRELEASE', as rhgb is dead.

Note You need to log in before you can comment on or make changes to this bug.